<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('outgoing_call_reports', function (Blueprint $table) {
            $table->id();
            $table->string('requestid')->nullable();
            $table->string('calldatetime')->nullable();
            $table->string('agentcallinitdatetime')->nullable();
            $table->string('agentnumber')->nullable();
            $table->string('agentcallstatus')->nullable();
            $table->string('callercallinitdatetime')->nullable();
            $table->string('callernumber')->nullable();
            $table->string('callercallstatus')->nullable();
            $table->string('callerduration')->nullable();
            $table->string('creditused')->nullable();
            $table->string('channelnumber')->nullable();
            $table->string('callrecording')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('outgoing_call_reports');
    }
};
